Jobs
Get job status
Returns the current state of a job including progress, result, and errors.
Authorization
apiKey X-API-Key<token>
API key with sk_ prefix
In: header
Path Parameters
id*string
Job UUID
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.sawvant.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"status": "pending",
"progress": 0,
"created_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"result": {
"layouts": [
{
"sheet_id": "string",
"quantity": 0,
"placements": [
{
"part_id": "string",
"sheet_id": "string",
"x": 0.1,
"y": 0.1,
"width": 0.1,
"height": 0.1,
"rotated": true,
"grain": "none"
}
]
}
],
"summary": {
"total_sheets": 0,
"yield_percent": 0,
"waste_percent": 0.1,
"waste_area": 0.1,
"unplaced_parts": [
"string"
],
"sheets_used": [
{
"sheet_id": "string",
"article_number": "string",
"quantity": 0,
"yield_percent": 0
}
]
},
"metrics": {
"total_cut_length": 0.1,
"total_cuts": 0,
"total_rotations": 0,
"total_stacks": 0,
"cut_cycles": 0
},
"cost": {
"setup_cost": 0.1,
"cutting_cost": 0.1,
"stacking_cost": 0.1,
"rotation_cost": 0.1,
"cycle_cost": 0.1,
"total_cost": 0.1
}
},
"warnings": [
"string"
],
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}